Jump to content
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble

MSFN is made available via donations, subscriptions and advertising revenue. The use of ad-blocking software hurts the site. Please disable ad-blocking software or set an exception for MSFN. Alternatively, register and become a site sponsor/subscriber and ads will be disabled automatically. 


roytam1

My build of New Moon (temp. name) a.k.a. Pale Moon fork targetting XP

Recommended Posts

"Quantum" sounds so fast too (even though the term has nothing to do with speed). So much for marketing

Share this post


Link to post
Share on other sites

3 hours ago, 404notfound said:

When I updated my FF ESR to one with Quantum engine, on win8 x86 work PC with Intel Celeron CPU, it was actually slower :p

I honestly hope you did make a back-up of your FxESR 52 profile PRIOR to making the Quantum leap (pun intended) to FxESR 60; and even then, there's so much that has changed going from ESR 52.9.0 to ESR 60.3.0, that, if I were you, I would start by creating a new clean profile in 60.3.0 and then selectively transferring bits (e.g. bookmarks, passwords) from the backed-up 52.9.0 profile; I would re-install and reconfigure only those addons (WE format by default) that are truly Quantum compatible, all other addon stuff used in 52.9.0 should be left behind... Many people posted in the mozillazine forums they had sub-optimal results by doing an on-top upgrade... Though cumbersome, in the case of such major overhauls, it is advised one starts one's profile from scratch...

3 hours ago, 404notfound said:

I even downgraded it to old ESR

60.3.0 profile is not backwards compatible with the previous 52.9.0 one, so, again, a backed-up profile should be used when downgrading... Hopefully you already know all that :) and I'm just pointing the obvious, perhaps only for the benefit of other readers not fully aware...

Cheers

Edited by VistaLover

Share this post


Link to post
Share on other sites

And that's why I chose to make the leap to Basilisk, even on Win 7. Much smoother/simpler upgrade path.

  • Like 1

Share this post


Link to post
Share on other sites

Whats the correct procedure to update and keep existing settings. Is it simply extracting new binaries over your current installation.

Share this post


Link to post
Share on other sites
2 hours ago, ricardrosen said:

Whats the correct procedure to update and keep existing settings. Is it simply extracting new binaries over your current installation.

Yes. But if you're doing update with major version changed (for example v27 to v28), it is better to backup your profile folder in case you might need to downgrade.

If you don't use portable-loader, your PM profiles are located at "%APPDATA%\Moonchild Productions\Pale Moon"

Share this post


Link to post
Share on other sites

New build of basilisk/UXP for XP!

Test binary:
Win32 https://o.rths.cf/basilisk/basilisk52-g4.1.win32-git-20181124-b37e8f87c-xpmod.7z
Win64 https://o.rths.cf/basilisk/basilisk52-g4.1.win64-git-20181124-b37e8f87c-xpmod.7z

diff: https://o.rths.cf/basilisk/UXP-xp-gitdiff-20181110.7z

PM28XP build:
Win32 https://o.rths.cf/palemoon/palemoon-28.2.0a1.win32-git-20181124-b37e8f87c-xpmod.7z
Win64 https://o.rths.cf/palemoon/palemoon-28.2.0a1.win64-git-20181124-b37e8f87c-xpmod.7z

Official repo changes since my last build:
- Add support to libstagefright for AV1 FourCCs (df59d06fd)
- Issue #638 - Part 1: Provide a visual indicator for muting/unmuting tabs (becd71a86)
- Issue #638 - Part 2: Add tooltip to mute/unmute buttons (ae48428aa)
- Issue #638 - Part 3: Add a keyboard shortcut for toggling the tab mute state (15afe6807)
- Issue #638 - Part 4: Add tab sound icon to tab drop-down list (719234847)
- Issue #638 - Part 5: Add mute/unmute option to tab context menu (eff89e1c9)
- Issue #638 - Part 6: Fix up remaining references - Refactor _tabAttrModified to accept two parameters - Modify consumers of _tabAttrModified to pass details - Add missing _soundPlayingAttrRemovalTimer field - Add missing checks for mute/unmute around the tab browser - Tab sound icon should inherit 'selected' attribute instead of 'visuallyselected' (d56c1ceac)
- [PALEMOON] Align the places component with the updated PlacesUtils API (b32323fae)
- Issue #638 - Part 7: Remove hover and active states for sound indicator (66cc7d91a)
- Issue #638 - Part 8: Add overlay sound icon for pinned tabs - This also moves some styles to tabbrowser.css (a6b250b47)
- Issue #638 - Part 9: Add sound icon to all tabs menu (fe4c12e2d)
- Issue #638 - Part 10: Rename all tabs sound icon to be consistent with others - alltabs => allTabs (deb4791e2)
- Follow-up: Add missing getTabFromAudioEvent method (61b21c808)
- Fix undefined isSameDocument (a681891e6)
- Hide mute menu item and disable mute hotkey with existing pref (af0164310)
- Add support to libstagefright for AV1 FourCCs (part 2) (4d8b7a376)
- Add AV1 support to MP4Decoder. (56c26d867)
- Replace toolbar PNG bitmaps with SVG vectors. (a5bdec9a6)
- Cleanup some comments in our media code. (011ec4885)
- Merge pull request #877 from trav90/code-cleanup (181e75728)
- Merge pull request #876 from trav90/add-av1-support (f4908ce99)
- Merge pull request #873 from JustOff/PR_bm_folders_copy_paste (be53c078d)
- Strip Inkscape data from toolbar SVGs and remove obsolete PNGs. (4fd138594)
- Merge pull request #874 from FranklinDM/sound_indicator-work (025b91375)
- Belated new cycle version bump (9ce2c56e1)
- Merge branch 'master' of https://github.com/MoonchildProductions/UXP (a6b9afbee)
- Add a nullcheck on pipelined HTTP connections' pushback. (2c0a30185)
- Update package.json (6a9c2be4e)
- Port WebP decoder changes. (238b430ec)
- Bug 1462355 - Part 1a. Make imgFrame animation parameters threadsafe. (807acf738)
- Bug 1462355 - Part 1b. Update Decoder and SurfacePipe plumbing to use updated imgFrame methods. (622098073)
- Bug 1462355 - Part 1c. Make individual image decoders to use updated Decoder/SurfacePipe methods. (3417e581c)
- Fix pasta error (b9003c9c5)
- Unrefactor mRawVeggies back to mVBuffMeat ;P (5b821064f)
- Split out FrameTimeout into its own header file for re-use. (a51993521)
- Fix blank pixel color for truncated GIFs (25f4c75d6)
- Merge branch 'webp-update' (a3da92549)
- Fix debug assertion. (b37e8f87c)

  • Like 2

Share this post


Link to post
Share on other sites

Is it possible to get POSReady with Windwos XP Professional?

Share this post


Link to post
Share on other sites

KmGoanna unable to play ogg file. How can I enable it?

Share this post


Link to post
Share on other sites

Looks like language packs are not compatible with today's update of NM? After updating the browser and starting it, I'm getting this error:

cnb6r0W.png

Then it disappears after a second and NM starts as usual, but it reverts back to the default english language (also the general.useragent.locale pref in about:config reverts back to en-US).

Share this post


Link to post
Share on other sites
7 hours ago, Ropip said:

Is it possible to get POSReady with Windwos XP Professional?

Wrong topic, please read

and ask any questions when in doubt :)

Share this post


Link to post
Share on other sites
4 hours ago, Tamris said:

Looks like language packs are not compatible with today's update of NM? After updating the browser and starting it, I'm getting this error:

cnb6r0W.png

Then it disappears after a second and NM starts as usual, but it reverts back to the default english language (also the general.useragent.locale pref in about:config reverts back to en-US).

It's already mypal - palemoon 28.2.1 on firefox 60.9. The installer has a portable wizard in any selected folder and partition. I call the folder as I want and choose a portable installation for it. The profile folder is in the program location.

https://github.com/Feodor2/Mypal/releases/tag/28.2.1

Works the Polish language pack from the palemon site.

Share this post


Link to post
Share on other sites

As far as I know, language packs ain't compatible with any version of Basilisk at all. Or rather the PM ones, since there are no language packs specifically for Basilisk.

Edited by Tamris
  • Upvote 1

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...